Skip to main content
POST
/
api
/
contacts
/
verify-email
/
{requestId}
/
confirm
Confirm contact email verification
curl --request POST \
  --url https://core-api.getaptly.com/api/contacts/verify-email/{requestId}/confirm \
  --header 'Content-Type: application/json' \
  --header 'x-token: <api-key>' \
  --data '
{
  "code": "042815"
}
'
{
  "verified": true,
  "contacts": [
    {
      "_id": "<string>",
      "uuid": "<string>",
      "firstname": "<string>",
      "lastname": "<string>",
      "fullname": "<string>",
      "fullName": "<string>",
      "duogram": "<string>",
      "photoId": "<string>",
      "imageUrl": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "typeId": "<string>",
      "companyId": "<string>",
      "address": {},
      "title": "<string>",
      "alerts": [
        {}
      ],
      "company": "<string>",
      "isCompany": true
    }
  ]
}

Authorizations

x-token
string
header
required

Path Parameters

requestId
string
required

The requestId returned by the initiate endpoint.

Body

application/json
code
string
required

The 6-digit verification code sent to the email address.

Response

Code accepted — returns verified status and matching contacts.

verified
boolean
Example:

true

contacts
object[]